#include <stdio.h>
#include <errno.h>
#include <netdb.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>


static void	zbx_gethost_by_ip(const char *ip, char *host, size_t hostlen)
{
	struct in_addr	addr;
	struct hostent  *hst;
	
	//assert(ip);

	if (0 == inet_aton(ip, &addr))
	{
		host[0] = '\0';
		return;
	}

	if (NULL == (hst = gethostbyaddr((char *)&addr, sizeof(addr), AF_INET)))
	{
		host[0] = '\0';
		return;
	}

	printf("host name '%s'\n", hst->h_name);
}

int	main(int argc, char *argv[])
{
	char	dns[255 + 1];

	if (argc != 2)
	{
        	fprintf(stderr, "%s <dotted-address>\n", argv[0]);
		return -1;
    	}

	zbx_gethost_by_ip(argv[1], dns, sizeof(dns));

	return 0;
}
